#ifndef USER_MANAGER_H
#define USER_MANAGER_H

#include <map>
#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <sstream>

class UserManager {
public:
  static void init();
  static bool isAllowed(std::string user, std::string pw);
  static void addUser(std::string name, std::string pw);
  static void deleteUser(std::string name, std::string pw);
private:
  static void readFromFile(std::map<std::string,std::string> *user_map);
  static void writeToFile(std::map<std::string,std::string> *user_map);
};


#endif
